<?php namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class residentes extends Sximo  {
	
	protected $table = 'residentes';
	protected $primaryKey = 'Residentesid';

	public function __construct() {
		parent::__construct();
		
			$id = Auth::id();

		$dbcon = 0;
		$sql = \DB::table('tb_users')->where('id',$id)->get();
		if(count($sql)){
			$row = $sql[0];
			$dbcon =$row->dbcon;
			 $this->setConnection($dbcon);
		}
		
		
		
		
	}

	public static function querySelect(  ){
		
		return "  SELECT residentes.* FROM residentes  ";
	}	

	public static function queryWhere(  ){
		
		return "  WHERE residentes.Residentesid IS NOT NULL ";
	}
	
	public static function queryGroup(){
		return "  ";
	}
	

}
